Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » M2M (model-to-model transformation) » [ATL] run configuration cannot select ATL file
[ATL] run configuration cannot select ATL file [message #70738] Tue, 08 January 2008 09:03 Go to next message
Aram Hovsepyan is currently offline Aram HovsepyanFriend
Messages: 34
Registered: July 2009
Member
Hi,
When I'm configuring the Run of a given ATL file, the first time I do it it
works all fine (see screenshot 1). However the second time I click on run I
get an error that Path must include project and resource name. If I open
the run configuration dialog I cannot select the ATL file anymore (see
screenshot 2).

Am I doing something wrong or is this a bug?
Thanks
Re: [ATL] run configuration cannot select ATL file [message #70808 is a reply to message #70738] Tue, 08 January 2008 09:54 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: r.c.ladan.tue.nl

Aram Hovsepyan wrote:
> Hi,
> When I'm configuring the Run of a given ATL file, the first time I do it it
> works all fine (see screenshot 1). However the second time I click on run I
> get an error that Path must include project and resource name. If I open
> the run configuration dialog I cannot select the ATL file anymore (see
> screenshot 2).
>
> Am I doing something wrong or is this a bug?
> Thanks
>
The screenshots didn't make it, but I had the same problem yesterday evening on my box.
I installed Eclipse 3.3.1 on it (from source), then the precompiled versions of
EMF 2.3.1 and ATL 2.0.0 (and some other stuff) via the update sites. This is on
FreeBSD 7.0-BETA4 and a natively compiled jdk 1.5. Maybe the native jdk1.6 works.

A workaround is to save the configuration to a launch file and edit that file
manually before running it via the right-click menu.

HTH,
Rene
Re: [ATL] run configuration cannot select ATL file [message #70826 is a reply to message #70808] Tue, 08 January 2008 10:38 Go to previous message
Aram Hovsepyan is currently offline Aram HovsepyanFriend
Messages: 34
Registered: July 2009
Member
Rene Ladan wrote:

> Aram Hovsepyan wrote:
>> Hi,
>> When I'm configuring the Run of a given ATL file, the first time
>> I do it it
>> works all fine (see screenshot 1). However the second time I click on run
>> I get an error that Path must include project and resource name. If I
>> open the run configuration dialog I cannot select the ATL file anymore
>> (see screenshot 2).
>>
>> Am I doing something wrong or is this a bug?
>> Thanks
>>
> The screenshots didn't make it, but I had the same problem yesterday
> evening on my box. I installed Eclipse 3.3.1 on it (from source), then the
> precompiled versions of
> EMF 2.3.1 and ATL 2.0.0 (and some other stuff) via the update sites. This
> is on FreeBSD 7.0-BETA4 and a natively compiled jdk 1.5. Maybe the native
> jdk1.6 works.
>
> A workaround is to save the configuration to a launch file and edit that
> file manually before running it via the right-click menu.
>
> HTH,
> Rene

Indeed. Another way to solve this is by downloading the latest CVS snapshot.

greetings,
Aram.
Previous Topic:[ATL]UML Transformation
Next Topic:[ATL] Renaming an ASMModel instance from java
Goto Forum:
  


Current Time: Sat Apr 10 15:41:36 GMT 2021

Powered by FUDForum. Page generated in 0.01737 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top